Skip to main content

Get Showcase Resources

API Description​

Get information about one or more showcase resources matching query parameters.

Request​

URI Parameters​

NameInput
orgId
REQUIRED
brandId
REQUIRED

Query Parameters​

Filters to apply on the operation.

NameInput
id
OPTIONAL
state
OPTIONAL
createdDate
OPTIONAL
updatedDate
OPTIONAL
showcaseDetails.startDate
OPTIONAL
showcaseDetails.endDate
OPTIONAL
showcaseDetails.resourceDetails.resourceType
OPTIONAL
showcaseDetails.resourceDetails.resourceId
OPTIONAL
showcaseDetails.creativeId
OPTIONAL
Path Template
GET {url}/api/{version}/orgs/{orgId}/brands/{brandId}/showcases?ql={query_parameter};{query_parameter}

This path example is expected to return showcases generated after the specified created date.

Path Example
GET {url}/api/v1/orgs/9467895078742654934/brands/9467895078742654921/showcases?ql=createdDate=gt=2024-10-30T00:00:00Z&limit=2

Request Headers​

NameInput
Authorization
REQUIRED
Accept
OPTIONAL
Example Request Headers
Authorization: Bearer <access_token>
Accept: application/json

Request Body​

None

Response​

200 OK or Error

Response Headers​

Name
apple-request-id
content-type
Example Response Headers
HTTP/1.1 200 OK
apple-request-id: cbc6080e-53c8-43cb-8d46-082859226bfb
content-type: application/json

Response Body​

ParentNameOutput
$.data[]
REQUIRED
$.total
REQUIRED
data[]orgId
REQUIRED
data[]brandId
REQUIRED
data[]id
REQUIRED
data[]createdDate
REQUIRED
data[]updatedDate
REQUIRED
data[]state
REQUIRED
data[]etag
REQUIRED
data[]showcaseDetails
REQUIRED
data[]metadata[]
CONDITIONAL
Example Response Body (raw JSON)
{
"data": [
{
"orgId": "9467895078742654934",
"brandId": "9467895078742654921",
"id": "9467895078742654903",
"createdDate": "2026-09-21T00:00:00.00Z",
"updatedDate": "2026-09-21T00:00:00.00Z",
"state": "APPROVED",
"etag": "8c40872e-ddd4-11ec-802a-cf9cf38fe6fa",
"showcaseDetails": {
"startDate": "2026-10-01T00:00:00.00Z",
"endDate": "2026-10-10T23:59:59.00Z",
"resourceDetails": {
"resourceType": "LOCATION",
"resourceId": "9467895078742654976"
},
"creativeId": "9467895078742654987"
},
"metadata": []
},
{
"orgId": "9467895078742654934",
"brandId": "9467895078742654921",
"id": "9467895078742654923",
"createdDate": "2026-09-23T12:32:01.00Z",
"updatedDate": "2026-09-23T12:32:01.00Z",
"state": "APPROVED",
"etag": "95959595-9595-9595-9595-959595959595",
"showcaseDetails": {
"startDate": "2026-10-01T00:00:00.00Z",
"endDate": "2026-10-10T23:59:59.00Z",
"resourceDetails": {
"resourceType": "LOCATION",
"resourceId": "9467895078742654976"
},
"creativeId": "9467895078742654999"
},
"metadata": []
}
],
"pagination": {
"cursors": {
"after": "8U54a61d9b495324"
},
"next": "/api/v1/orgs/9467895078742654934/brands/9467895078742654921/showcases?limit=2&after=8U54a61d9b495324"
},
"total": 4
}

When no collection is returned.

Example Response Body (raw JSON)
{
"data": [],
"pagination": {},
"total": 0
}